@import theme

.row
    display: flex
    align-items: center

    padding: 1em 3em
    box-sizing: border-box
    border-radius: 5px
    width: 100%

    background-color: $foregroundColor

    .exercise-img
        height: 50px
        width: 50px
        background-position: top
        background-size: cover
        background-repeat: no-repeat

    > * + *
        margin-left: 20px

    > *
        flex: 1 1 auto

    .basic-info
        flex: 0 1 350px

        display: flex
        align-items: center
        justify-content: flex-start

        text-align: left

        > * + *
            margin-left: 10px

        .name
            color: $primaryColor
            font-weight: 500
            font-size: 1.15em
            font-family: $titleFont
            text-align: center

    .muscle, .info
        flex: 0 1 200px
        display: flex
        align-items: center
        font-size: 14px

        > mat-icon
            font-size: 14px
            width: 14px
            height: 14px
            margin-right: 5px

    .actions
        margin-right: auto
        text-align: right

        > * + *
            margin-left: 5px

        // Change size of icon button
        .mat-icon-button
            height: 32px
            width: 32px
            line-height: 32px

            .mat-icon
                height: 18px
                width: 18px
                line-height: 18px
                font-size: 18px
